Skip to main content
`Ctrl`+`K`

# PetscDrawTensorContourPatch

draws a rectangular patch of a contour plot for a two-dimensional array.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawTensorContourPatch(PetscDraw draw, int m, int n, PetscReal *x, PetscReal *y, PetscReal min, PetscReal max, PetscReal *v)

Not Collective

## Input Parameters

- draw - the draw context

- m - the number of local mesh points in the x direction

- n - the number of local mesh points in the y direction

- x - the horizontal locations of the local mesh points

- y - the vertical locations of the local mesh points

- min - the minimum value in the entire contour

- max - the maximum value in the entire contour

- v - the data

## Options Database Key

- -draw_x_shared_colormap - Activates private colormap

## Note

This is a lower level support routine, usually the user will call `PetscDrawTensorContour()`.

## See Also

`PetscDraw`, `PetscDrawTensorContour()`

## Level

advanced

## Location

src/sys/classes/draw/interface/dtri.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages